Skip to main content
POST
/
projects
/
{project_reference}
/
agents
/
{agent_id}
/
install-selected
Install Agent For Selected Projects
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/install-selected \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "selected_project_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "relation": "editor"
}
'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "provider": {
        "organization": "<string>",
        "url": "<string>"
      },
      "version": "<string>",
      "capabilities": {
        "streaming": true,
        "push_notifications": true,
        "extensions": [
          "<string>"
        ]
      },
      "default_input_modes": [
        "<string>"
      ],
      "default_output_modes": [
        "<string>"
      ],
      "tools": [
        "<string>"
      ],
      "skills": [
        {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "tags": [
            "<string>"
          ],
          "examples": [
            "<string>"
          ]
        }
      ],
      "can_run": true,
      "source_path": "<string>",
      "x-veryfront-model": "<string>",
      "x-veryfront-url": "<string>",
      "suggestions": [
        "<string>"
      ],
      "installed_access": {
        "grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>"
      },
      "runtime_readiness": {
        "reason": "<string>",
        "runtime_service_key": "<string>"
      },
      "avatar_url": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
agent_id
string
required

Catalog agent identifier

Required string length: 1 - 255

Body

application/json
selected_project_ids
string<uuid>[]
required
Required array length: 1 - 100 elements
relation
enum<string>
default:editor
Available options:
owner,
admin,
editor,
viewer

Response

Existing installed agent cards

data
object[]
required